LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-07-2011, 05:11 AM   #1
The Moorish
LQ Newbie
 
Registered: Apr 2011
Posts: 13

Rep: Reputation: 0
Question Help:Confused how to properly install Metasploit on Redhat


Hello!


Would you please help me to correctly install Metasploit on

Code:
Red Hat Enterprise Linux Server release 5 Tikanga

I have updated my ruby version to :


Code:
ruby 1.9.1p243 (2009-07-16 revision 24175) i686-linux
Now that all the Ruby errors that i had before disappeared

when i run the msfconsole it just hang there!

what should i do now?

Thank you in advance.
 
Old 04-07-2011, 11:09 AM   #2
The Moorish
LQ Newbie
 
Registered: Apr 2011
Posts: 13

Original Poster
Rep: Reputation: 0
anyone please?
 
Old 04-07-2011, 11:16 AM   #3
szboardstretcher
Senior Member
 
Registered: Aug 2006
Location: Detroit, MI
Distribution: GNU/Linux systemd
Posts: 3,780
Blog Entries: 1

Rep: Reputation: 1339Reputation: 1339Reputation: 1339Reputation: 1339Reputation: 1339Reputation: 1339Reputation: 1339Reputation: 1339Reputation: 1339Reputation: 1339
On centos 5, I had to:

Quote:
yum install ruby ruby-devel ruby-libs irb rdoc
 
Old 04-07-2011, 11:31 AM   #4
mayursingru
Member
 
Registered: Nov 2010
Location: Pune
Distribution: CentOS
Posts: 51

Rep: Reputation: 5
Hi,
check this out
http://dev.metasploit.com/redmine/pr.../Install_Linux


Regards,
Mayur Singru
 
Old 04-08-2011, 11:12 AM   #5
The Moorish
LQ Newbie
 
Registered: Apr 2011
Posts: 13

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by szboardstretcher View Post
On centos 5, I had to:

this is what i got after your command:


Code:
yum install ruby ruby-devel ruby-libs irb rdoc

Loading "rhnplugin" plugin
Loading "installonlyn" plugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
Parsing package install arguments
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
No Match for argument: ruby
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
No Match for argument: ruby-devel
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
No Match for argument: ruby-libs
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
No Match for argument: irb
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
No Match for argument: rdoc
Nothing to do
 
Old 04-09-2011, 12:35 PM   #6
The Moorish
LQ Newbie
 
Registered: Apr 2011
Posts: 13

Original Poster
Rep: Reputation: 0
Finally after some updates i managed to fire it successfully!!

Thank you guys!

Code:
# ruby /opt/framework-3.5.2/msf3/msfconsole

                     888                           888        d8b888
                     888                           888        Y8P888
                     888                           888           888
88888b.d88b.  .d88b. 888888 8888b. .d8888b 88888b. 888 .d88b. 888888888
888 "888 "88bd8P  Y8b888       "88b88K     888 "88b888d88""88b888888
888  888  88888888888888   .d888888"Y8888b.888  888888888  888888888
888  888  888Y8b.    Y88b. 888  888     X88888 d88P888Y88..88P888Y88b.
888  888  888 "Y8888  "Y888"Y888888 88888P'88888P" 888 "Y88P" 888 "Y888
                                           888
                                           888
                                           888


       =[ metasploit v3.7.0-dev [core:3.7 api:1.0]
+ -- --=[ 672 exploits - 350 auxiliary
+ -- --=[ 217 payloads - 27 encoders - 8 nops
       =[ svn r12251 updated 4 days ago (2011.04.05)
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] How To install metasploit in Fedora? Manish87 Linux - Newbie 9 06-30-2010 03:48 PM
Confused about Redhat versions gottaknow Red Hat 2 10-28-2007 12:11 PM
Suse 9, RH9 wont install properly. Mandrake 9 wont boot properly? Help. l2ich84 Linux - Newbie 1 01-31-2004 12:02 PM
RedHat 7.3 Most Confused drolkram Linux - Networking 2 07-14-2002 09:07 AM
RedHat 7.2 installed, but very confused snowbaby Linux - Software 16 02-05-2002 02:11 AM


All times are GMT -5. The time now is 12:55 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration